//import { ingestOptions, ingestStocks, } from './ingest';
import { sql } from './db.js';
/*
const sourceDataDir = '/home/avraham/programming/calendar-optimizer-csv';
//await ingestStocks(sourceDataDir);
await ingestOptions(sourceDataDir);
*/

import fastify from 'fastify'

const server = fastify()

server.get('/ping', async (request, reply) => {
  return 'pong\n'
})

server.listen({ port: 8234, host: '127.0.0.1' }, (err, address) => {
  if (err) {
    console.error(err)
    process.exit(1)
  }
  console.log(`Server listening at ${address}`)
})
await sql.end({timeout:60});